Skip to main content
GET
Get a private record

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

record_id
string<uuid>
required

Unique identifier of the private record

Example:

"b25e7b65-e46a-40d5-a0f2-0de8c2b354aa"

Response

Successful Response

name
string
required

Full name of the organization

Required string length: 1 - 300
Example:

"Example Corporation"

currency_code
string
required

Valid organization's currency code in ISO 4217

Required string length: 3
Example:

"USD"

id
string<uuid>
required

Unique identifier of the private record

Example:

"b25e7b65-e46a-40d5-a0f2-0de8c2b354aa"

archived
boolean
required

Whether the record is archived

archived_at
string<date-time> | null
required

Timestamp when the record was archived

Example:

"2025-12-01T12:34:56.123456"

created_at
string<date-time>
required

Timestamp when the record was created

Example:

"2025-01-01T09:00:00.123456"

updated_at
string<date-time>
required

Timestamp when the record was updated

Example:

"2025-06-01T15:00:00.123456"

email
string<email> | null

Official email of the organization

Required string length: 1 - 100
Example:

"info@example.com"

phone
string | null

Contact phone number

Example:

"+1-555-123-4567"

established_date
string<date> | null

Date when the organization was established

Example:

"2005-08-15"

size_id
string<uuid> | null

Identifier of the organization size

Example:

"6f0d84f7-e442-4ac0-8297-24e1fe6da692"

role_id
string<uuid> | null

Identifier of the organization role

Example:

"292e8dad-37b5-4cb3-8a00-5bb840be894e"

naics_code_id
string<uuid> | null

Identifier of the organization NAICS code

Example:

"78b348b8-009c-4b87-af32-60a12fbc6e60"

address
string | null

Valid organization's street address

Required string length: 1 - 500
Example:

"123 Main Street"

city
string | null

Valid organization's city

Required string length: 1 - 100
Example:

"New York"

state
string | null

Valid organization's state or province

Required string length: 1 - 100
Example:

"NY"

postal_code
string | null

Valid organization's postal code

Required string length: 1 - 30
Example:

"10001"

country_code
string | null

Valid organization's country code in ISO 3166-1 alpha-2

Required string length: 2
Example:

"US"

website
string<uri> | null

Valid organization's website URL

Required string length: 1 - 255
Example:

"https://www.example-corp.com"

company_registration_number
string | null

Valid organization's company registration number

Required string length: 1 - 255
Example:

"123456789"

tax_id
string | null

Valid organization's tax identification number

Required string length: 1 - 255
Example:

"987654321"

corporation_type_id
string | null

Identifier of the organization's type of corporation

Required string length: 10 - 100
Example:

"de175027-612d-4103-a503-59ef0fe2849b"